#include <stdio.h>

double maxniza(double a[], long int n){
  double max=0;
  for(long int i=0;i<n;i++){
    if (a[i] > max) max=a[i];
  }
  return max;
}


int main(void) {
  long int n;
  scanf("%ld", &n);
  long int a[n];
  double p[n];
  double zadrzavu[n];
  
  // ovde unosim nizove a i p
  for(int i=0;i<n;i++){
    scanf("%ld%lf", &a[i], &p[i]);
  }

  // ovde racunam sve mogucnosti
  for(long int i=0;i<n;i++){
    double zarada=0;
    for(long int j=0;j<n;j++){
      if (p[j] >= p[i]) zarada=zarada+a[j];
    }
    zadrzavu[i]=zarada*p[i]/100;
  }

  printf("%.4lf", maxniza(zadrzavu, n));
  return 0;
}